aboutsummaryrefslogtreecommitdiffstats
path: root/main/nodejs-lts/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-11-27 13:40:51 +0100
committerJakub Jirutka <jakub@jirutka.cz>2016-11-27 14:10:23 +0100
commiteabc7596b07258be17d525f0f843f7418878651d (patch)
tree2362cd778e51ff2ac37e9524ac39b22fd86329bd /main/nodejs-lts/APKBUILD
parent308944d90df71c773c958a1c5ff4ebdb240526a3 (diff)
downloadaports-eabc7596b07258be17d525f0f843f7418878651d.tar.bz2
aports-eabc7596b07258be17d525f0f843f7418878651d.tar.xz
main/nodejs-lts: rename to nodejs
Odd-numbered versions are supported by upstream only for 9 months. Packages in Alpine stable are supported for 2 years, so we should keep only LTS version of Node.js in stable. Therefore the former nodejs package has been renamed to nodejs-current and moved to the community repository, and this one becomes the main nodejs package. See https://github.com/nodejs/LTS#lts-schedule Related to 308944d90df71c773c958a1c5ff4ebdb240526a3
Diffstat (limited to 'main/nodejs-lts/APKBUILD')
-rw-r--r--main/nodejs-lts/APKBUILD70
1 files changed, 0 insertions, 70 deletions
diff --git a/main/nodejs-lts/APKBUILD b/main/nodejs-lts/APKBUILD
deleted file mode 100644
index db95563c57..0000000000
--- a/main/nodejs-lts/APKBUILD
+++ /dev/null
@@ -1,70 +0,0 @@
-# Contributor: William Pitcock <nenolod@dereferenced.org>
-# Contributor: Jose-Luis Rivas <ghostbar@riseup.net>
-# Contributor: Jakub Jirutka <jakub@jirutka.cz>
-# Maintainer: Eivind Uggedal <eivind@uggedal.com>
-pkgname=nodejs-lts
-pkgver=6.9.1
-pkgrel=1
-pkgdesc="JavaScript runtime built on V8 engine - LTS version"
-url="http://nodejs.org/"
-arch="all"
-license="MIT"
-depends_dev="libuv"
-# gold is needed for mksnapshot
-makedepends="$depends_dev python2 openssl-dev zlib-dev libuv-dev linux-headers
- paxmark binutils-gold http-parser-dev ca-certificates"
-subpackages="$pkgname-dev $pkgname-doc"
-replaces="nodejs"
-source="https://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz
- use-system-ca-certs.patch
- dont-run-gyp-files-for-bundled-deps.patch"
-builddir="$srcdir/node-v$pkgver"
-
-prepare() {
- default_prepare || return 1
-
- # Remove bundled CA certificates.
- rm -f src/node_root_certs.h
-
- # Remove bundled dependencies that we're not using.
- rm -rf deps/http_parser deps/openssl deps/uv deps/zlib
-}
-
-build() {
- cd "$builddir"
-
- ./configure --prefix=/usr \
- --shared-zlib \
- --shared-libuv \
- --shared-openssl \
- --shared-http-parser \
- || return 1
-
- # we need run mksnapshot at build time so paxmark it early
- make -C out mksnapshot BUILDTYPE=Release \
- && paxmark -m out/Release/mksnapshot \
- && make || return 1
-}
-
-package() {
- cd "$builddir"
-
- make DESTDIR="$pkgdir" install || return 1
- # paxmark so JIT works
- paxmark -m "$pkgdir"/usr/bin/node || return 1
-
- cp -pr "$pkgdir"/usr/lib/node_modules/npm/man "$pkgdir"/usr/share || return 1
- local d; for d in doc html man; do
- rm -r "$pkgdir"/usr/lib/node_modules/npm/$d || return 1
- done
-}
-
-md5sums="0d3117846c6704b36108fcdbf30e03c1 node-v6.9.1.tar.gz
-14ce8e0fb44d5bf75974026900e0d8c2 use-system-ca-certs.patch
-5d99a53ef07e15fe882d449ed995bd91 dont-run-gyp-files-for-bundled-deps.patch"
-sha256sums="a98997ca3a4d10751f0ebe97839b2308a31ae884b4203cda0c99cf36bc7fe3bf node-v6.9.1.tar.gz
-fcd2becd2cb9a62537ae11f51f448fd1061aaae17835bb0f2d2aa71bdf9652c0 use-system-ca-certs.patch
-c20a62b9dd64591b91a0c1dae649ac04cf7aec402672b349f8daa04f2a08a77b dont-run-gyp-files-for-bundled-deps.patch"
-sha512sums="71a6e081006c8b77f34b5cc26b76c56944b4de77d7ed5e6068c72dbaf49fc18ed2894231f6a5cd0308c40e95c2e1eb5ee2abd1470fd646bb8db3b230913c5014 node-v6.9.1.tar.gz
-c540878495761f4c38f3cccd61da75fa5619637ba9887b7946964a7cef790178e26678fe0aabe400e32c8f0f65e97a519ceee1534bbf18a1a14bc6e9fe067637 use-system-ca-certs.patch
-a8be538158b7c96341a407acba30450ddc5c3ad764e7efe728d1ceff64efc3067b177855b9ef91b54400be6a02600d83da4c21a07ae9d7dc0774f92b2006ea8b dont-run-gyp-files-for-bundled-deps.patch"